package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.RelPustBas;

/** 水闸基本信息关联 Service */
public interface RelPustBasService {
    /**
     * 查询水闸基本信息关联列表
     *
     * @param relPustBas 查询条件
     * @return 水闸基本信息关联列表
     */
    public List<RelPustBas> selectRelPustBasList(RelPustBas relPustBas);

    /**
     * 通过主键查询水闸基本信息关联
     *
     * @param relPustBas 查询条件
     * @return 水闸基本信息关联
     */
    public RelPustBas selectRelPustBasById(RelPustBas relPustBas);

    /**
     * 删除水闸基本信息关联
     *
     * @param relPustBas 删除条件
     * @return 删除行数
     */
    public int deleteRelPustBasById(RelPustBas relPustBas);

    /**
     * 新增水闸基本信息关联
     *
     * @param relPustBas 水闸基本信息关联
     * @return 插入行数
     */
    public int insertRelPustBas(RelPustBas relPustBas);

    /**
     * 修改水闸基本信息关联
     *
     * @param relPustBas 水闸基本信息关联
     * @return 更新行数
     */
    public int updateRelPustBas(RelPustBas relPustBas);
}
